Bug in vs code

Jonah Graham jonah@kichwacoders.com
Sun Oct 15 18:17:16 GMT 2023


Hi Yunus.

On Sun, 15 Oct 2023 at 13:28, Yunus Emre Akça via Gdb <gdb@sourceware.org>
wrote:

> =thread-group-added,id="i1"
> GNU gdb (GDB) 7.6.1
>

This version of GDB is very old. I recommend installing a newer version
(e.g  "choco install mingw" - https://chocolatey.org/install, but there are
various other ways to get it)


> =cmd-param-changed,param="pagination",value="off"
> ERROR: Unable to start debugging. Unexpected GDB output from command
> "-exec-run". Error creating process
>

This is an error in the vscode cpptools extension and the error should be
reported there. But as mentioned above, my guess is this version of gdb is
simply older than the versions the vscode cpptools team tests or supports.

HTH
Jonah


More information about the Gdb mailing list